<div class="container-fluid">
  <div class="header-container row justify-content-center">
    <header
      class="todo-header col-12 bg-secondary d-flex flex-wrap justify-content-center py-4 border-bottom"
    >
      <div
        class="text-white text-decoration-none align-content-center col-5 col-xl-9 col-lg-8 col-md-7 col-sm-6 col-xs-9"
        style="display: flex"
      >
        <span class="fs-1 ps-4 row justify-content-center">To Do List</span>
      </div>
      <div
        class="header-actions btn-group col-7 col-xl-3 col-lg-4 col-md-5 col-sm-6 col-xs-3"
      >
        <button
          type="button"
          class="btn btn-outline-warning btn-lg col-4 p-2"
          (click)="toggleHomeLoading()"
        >
          Home
        </button>

        <button
          type="button"
          class="tasks btn btn-warning border border-2 border-warning col-4 fs-5"
        >
          Tasks
        </button>
        <button
          type="button"
          class="btn btn-outline-warning border border-2 border-warning col-6 fs-5"
          role="presentation"
          routerLink="/"
        >
          Sign out
        </button>
      </div>
    </header>
  </div>
  <div class="body-container row justify-content-center" *ngIf="!HomeIsLoading">
    <div class="col-10 col-xl-7 col-lg-9 col-md-10 col-sm-10 col-xs-9">
      <h3 class="mt-3 fw-light">Let's plan together ;)</h3>
      <form class="input-container mt-4">
        <div
          class="alert alert-warning alert-dismissible fade show"
          role="alert"
          #alert
          style="display: none"
          [hidden]="hideAlert"
        >
          <strong>Error!</strong> please write something !!
        </div>
        <div class="input-group">
          <input
            type="text"
            name="inputTodo"
            class="todo-input form-control p-3"
            placeholder="Add your note..."
            [(ngModel)]="inputTodo"
            autofocus
            #input
          />
          <button
            class="todo-submit btn btn-lg btn-secondary col-3 col-xl-2 col-lg-2 col-md-2 col-sm-3 col-xs-4 rounded"
            type="submit"
            *ngIf="!hideAddButton"
            (click)="addTodo(alert)"
          >
            Add
          </button>
          <button
            class="todo-submit btn btn-lg btn-secondary col-3 col-xl-2 col-lg-2 col-md-2 col-sm-3 col-xs-4"
            type="submit"
            *ngIf="hideAddButton"
            (click)="updating()"
          >
            Save
          </button>
        </div>
      </form>
      <div class="todos col-12 row justify-content-center mt-4">
        <div
          class="todo bg-light border border-secondary p-3 d-flex mb-2 col-11 rounded-3 shadow"
          *ngFor="let todo of todos; let i = index"
        >
          <div
            class="task-content bg-light d-flex col-7 align-items-center col-xl-9 col-lg-9 col-md-9 col-sm-8 col-xs-7"
          >
            <input
              type="checkbox"
              class="check-box form-check-input my-3 p-2 border border-2 border-secondary rounded-circle"
              #checkBox
              (change)="checked(btnE, checkBox)"
            />

            <div class="content bg-light ms-3 col-10 border border-0 fs-6">
              {{ todo.content }}
            </div>
          </div>

          <div class="task-actions col-6 d-flex">
            <div
              class="col-5 col-sm-4 col-xs-5 col-md-3 row justify-content-start me-4"
            >
              <button
                type="submit"
                class="edit-button btn btn-warning m-1 p-2"
                (click)="editing(i, todo.content, input)"
                (click)="toggleShowSaveBtn()"
                #btnE
              >
                Edit
              </button>
            </div>
            <div
              class="col-5 col-sm-4 col-xs-5 col-md-3 row justify-content-end me-1"
            >
              <button
                type="button"
                class="delete btn btn-outline-secondary m-1 p-2"
                (click)="deleteTodo(i)"
              >
                Delete
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div
    class="Task-spinner page-spinner col-12 bg-white row justify-content-center align-content-center"
    *ngIf="HomeIsLoading"
    style="height: 545px"
  >
    <div class="spinner-border" style="width: 3rem; height: 3rem" role="status">
      <span class="visually-hidden">Loading...</span>
    </div>
  </div>
</div>
